@echo off
verify # 2>nul
setlocal enableextensions enabledelayedexpansion
if errorlevel 1 goto CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
call $SQLTRANS "(SettingsOnly)"
if %errorlevel% neq 0 goto ERROR

rem set $sql_uploading_cp=ACP
$SqlUpload "flat_services_data.txt" "%UploadTable%"
goto ERROR

:CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
echo.
echo ## Can not switch on extended command processing.
goto ERROR

:ERROR
echo 
pause
EXIT 255
